Skip to main content
GET
/
partner
/
issuance_jobs
/
:id
curl https://api.thanxsandbox.com/partner/issuance_jobs/job_xyz789?merchant_id={merchant_id} \
  -X GET \
  -H 'X-ClientId: {client_id}' \
  -H 'Accept-Version: v4.0' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {access_token}'
{
  "issuance_job": {
    "id": "job_xyz789",
    "campaign_id": "camp_abc123",
    "variant_id": "var_treat1",
    "state": "completed",
    "total_count": 2,
    "processed_count": 2,
    "success_count": 1,
    "failure_count": 1,
    "progress_percent": 100,
    "created_at": "2025-06-15T10:30:00Z",
    "started_at": "2025-06-15T10:30:05Z",
    "completed_at": "2025-06-15T10:30:15Z",
    "summary": {
      "success_count": 1,
      "failure_count": 1,
      "failures": [
        {
          "identifier_index": 1,
          "identifier_type": "phone",
          "error": "User not found"
        }
      ]
    }
  }
}
Scope required: rewards.issue
This endpoint returns the current status of a reward issuance job. Use this to poll for completion after initiating an issuance via Issue Rewards. When the job reaches the completed state, a summary field is included with success and failure counts. If any issuances failed, the summary includes a failures array with details about each failure.

Parameters

id
string
required
Issuance job ID
merchant_id
string
required
Merchant ID

Response

id
string
Issuance job ID
campaign_id
string
Campaign ID
variant_id
string
Variant ID
state
string
Job state: pending, processing, completed, or failed
total_count
integer
Total number of identifiers submitted
processed_count
integer
Number of identifiers processed so far
success_count
integer
Number of rewards successfully issued
failure_count
integer
Number of failed issuances
progress_percent
integer
Completion percentage (0-100)
created_at
datetime
Job creation timestamp (ISO8601)
started_at
datetime
Processing start timestamp (ISO8601), null if not started
completed_at
datetime
Processing completion timestamp (ISO8601), null if not completed
summary
hash
Completion summary (only present when state is completed)
curl https://api.thanxsandbox.com/partner/issuance_jobs/job_xyz789?merchant_id={merchant_id} \
  -X GET \
  -H 'X-ClientId: {client_id}' \
  -H 'Accept-Version: v4.0' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {access_token}'
{
  "issuance_job": {
    "id": "job_xyz789",
    "campaign_id": "camp_abc123",
    "variant_id": "var_treat1",
    "state": "completed",
    "total_count": 2,
    "processed_count": 2,
    "success_count": 1,
    "failure_count": 1,
    "progress_percent": 100,
    "created_at": "2025-06-15T10:30:00Z",
    "started_at": "2025-06-15T10:30:05Z",
    "completed_at": "2025-06-15T10:30:15Z",
    "summary": {
      "success_count": 1,
      "failure_count": 1,
      "failures": [
        {
          "identifier_index": 1,
          "identifier_type": "phone",
          "error": "User not found"
        }
      ]
    }
  }
}